<project xmlns="http://maven.apache.org/POM/4.0.0" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
	xsi:schemaLocation="http://maven.apache.org/POM/4.0.0 http://maven.apache.org/xsd/maven-4.0.0.xsd">
	<modelVersion>4.0.0</modelVersion>
	<groupId>com.metasploit</groupId>
	<artifactId>Metasploit-JavaPayload-parent</artifactId>
	<version>1-SNAPSHOT</version>
	<packaging>pom</packaging>
	<name>JavaPayload for Metasploit (Parent project)</name>
	<url>http://www.metasploit.com/</url>
	<properties>
		<project.build.sourceEncoding>UTF-8</project.build.sourceEncoding>
		<deploy.path>../../metasploit-framework</deploy.path>
	</properties>
	<dependencies>
		<dependency>
			<groupId>junit</groupId>
			<artifactId>junit</artifactId>
			<version>3.8.2</version>
			<scope>test</scope>
		</dependency>
	</dependencies>
	<build>
		<plugins>
			<plugin>
				<groupId>org.apache.maven.plugins</groupId>
				<artifactId>maven-compiler-plugin</artifactId>
				<version>3.0</version>
				<configuration>
					<source>1.5</source>
					<target>1.5</target>
					<debug>true</debug> <!-- http://stackoverflow.com/q/4220083/90203 -->
					<debuglevel>none</debuglevel>
				</configuration>
			</plugin>
			<plugin>
				<artifactId>maven-eclipse-plugin</artifactId>
				<version>2.9</version>
				<configuration>
					<buildOutputDirectory>bin</buildOutputDirectory>
					<downloadSources>true</downloadSources>
					<testSourcesLast>true</testSourcesLast>
				</configuration>
			</plugin>
		</plugins>
	</build>
	<modules>
		<module>javapayload</module>
		<module>meterpreter</module>
		<!-- <module>version-compatibility-check</module>-->
	</modules>
	<profiles>
		<profile>
			<activation>
				<property>
					<name>android.sdk.path</name>
				</property>
			</activation>
			<!-- deploy built files to Metasploit data directory -->
			<id>android</id>
			<modules>
				<module>androidpayload/app</module>
				<module>androidpayload/library</module>
			</modules>
		</profile>
	</profiles>
	<prerequisites>
		<maven>3.0</maven>
	</prerequisites>
</project>
